package com.citygis.web.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.citygis.web.domain.*;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author citygis
 * @since 2025-01-09
 */
@Mapper
public interface TabSystemMsgMapper extends BaseMapper<TabSystemMsg> {

    List<TabSystemMsg> getTabSystemMsgList(TabSystemMsg tabSystemMsg);

    List<TabAccessTableMsg> getTabAccessTableMsgList();

    List<Exchange> getExchangeCount(String dateTime);

    List<JkCloudCount> getJkcloudCount();

    List<UrlDayCount> getUrlDayCount();

    List<TopicCount> getTopicCountYesterday();

    List<NewCount> getNew();

    Integer insertTabSystemMsg(TabSystemMsg tabSystemMsg);

}
